#version 150 core
in vec2 texCoords;
out vec4 outColor;
uniform sampler2D tex;
void main(void) {
    float x = texCoords.x - 0.5;
    float y = texCoords.y - 0.5;
    float r = sqrt(x*x + y*y);
   	float a = atan(y, x);
    r = 2/asin(r);
	x = 0.5 + r * cos(a);
	y = 0.5 + r * sin(a);
	outColor = texture(tex, vec2(x, y));
}
